NodeAccountingUI (GWT Maven Archetype 1.5.0-SNAPSHOT API)
Date: 2014-06-02

org.gcube.messaging.accounting.nodeaccountingportlet.client

## Class NodeAccountingUI

- java.lang.Object
- - org.gcube.messaging.accounting.nodeaccountingportlet.client.NodeAccountingUI

- All Implemented Interfaces:
    com.google.gwt.core.client.EntryPoint

      public class NodeAccountingUI
      extends Object
      implements com.google.gwt.core.client.EntryPoint

  Entry point classes define `onModuleLoad()`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `DetailPanel` | `accountingDetail`
    `CentralPanel` | `central`
    `static NodeAccountingServiceAsync` | `nodeAccoutingService` Create a remote service proxy to talk to the server-side service.
    `TreeContainer` | `tree`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeAccountingUI()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NodeAccountingUI` | `get()`
    `String` | `getSessionID()`
    `void` | `hideLoading(String elementId)`
    `void` | `notifyError(String msg)`
    `void` | `onModuleLoad()` This is the entry point method.
    `void` | `showLoading(String message, String elementId)`
    `void` | `showMessage(String msg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nodeAccoutingService

          public static final NodeAccountingServiceAsync nodeAccoutingService

      Create a remote service proxy to talk to the server-side service.

    - #### central

          public CentralPanel central

    - #### accountingDetail

          public DetailPanel accountingDetail

    - #### tree

          public TreeContainer tree

  - ### Constructor Detail

    - #### NodeAccountingUI

          public NodeAccountingUI()

  - ### Method Detail

    - #### getSessionID

          public String getSessionID()

    - #### showLoading

          public void showLoading(String message,
                         String elementId)

    - #### hideLoading

          public void hideLoading(String elementId)

    - #### notifyError

          public void notifyError(String msg)

    - #### showMessage

          public void showMessage(String msg)

    - #### get

          public static NodeAccountingUI get()

    - #### onModuleLoad

          public void onModuleLoad()

      This is the entry point method.
      Specified by:
        `onModuleLoad` in interface `com.google.gwt.core.client.EntryPoint`

Copyright © 2014. All Rights Reserved.